<!DOCTYPE html>
<html>

<head>
    <title>TODO supply a title</title>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />

    <script src="js/request.js"></script>
    <script src="js/login.js"></script>

    <!-- Importar CSS de bootstrap-->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.1/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-iYQeCzEYFbKjA/T2uDLTpkwGzCiq6soy8tYaI1GyVh/UjpbCx/TYkiZhlZB6+fzT" crossorigin="anonymous">

    <!-- Importar iconos de bootstrap-->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.9.1/font/bootstrap-icons.css">

</head>

<body>

    <header class="container">

        <nav class="navbar navbar-expand-lg bg-dark navbar-dark">
            <div class="container-fluid">
                <a class="navbar-brand" href="#">
                    <img src="images/viaje a tu medida.png" alt="Logo" height="30"
                        class="d-inline-block align-text-top">
                    Viaje a tu Medida
                </a>
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav"
                    aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <div class="collapse navbar-collapse" id="navbarNav">
                    <ul class="navbar-nav">
                        <li class="nav-item">
                            <a class="nav-link active" aria-current="page" href="index.html">Inicio</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="vuelo.html">Vuelo</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="ciudad.html">Ciudad</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="origen.html">Origen</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="destino.html">Destino</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="compania.html">Compañia</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="index2.html">Usuario</a>
                        </li>

                    </ul>

                    <span class="ms-auto">
                        <a href="#" class="btn btn-sm btn-primary" data-bs-toggle="modal" data-bs-target="#loginModal">
                            Iniciar sesión </a>
                    </span>
                </div>


            </div>
        </nav>

    </header>

    <section class="container">

        <div class="container">
            <br />
            <div class="row">


                <div class="col-lg-4">

                    <div class="text-center">
                        <img width="140" height="140" class="text-center" />
                    </div>

                    <h2 class="mt-3">Titulo</h2>
                    <p>
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut
                        labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco
                        laboris nisi ut aliquip ex ea commodo consequat.

                    </p>
                </div><!-- /.col-lg-4 -->


                <div class="col-lg-4">

                    <div class="text-center">
                        <img width="140" height="140" class="text-center" />
                    </div>

                    <h2 class="mt-3">Titulo</h2>
                    <p>
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut
                        labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco
                        laboris nisi ut aliquip ex ea commodo consequat.

                    </p>
                </div><!-- /.col-lg-4 -->


                <div class="col-lg-4">

                    <div class="text-center">
                        <img width="140" height="140" class="text-center" />
                    </div>

                    <h2 class="mt-3">Titulo</h2>
                    <p>
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut
                        labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco
                        laboris nisi ut aliquip ex ea commodo consequat.

                    </p>
                </div><!-- /.col-lg-4 -->



            </div><!-- /.row -->

        </div>

    </section>

    <footer class="container">

    </footer>

   <!-- Ventana Modal de login -->
   <div class="modal fade" id="loginModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Iniciar sesión</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">

                <form id="loginForm" onsubmit="return login()">
                    <div class="form-floating">
                        <label for="usuario">Usuario:</label>
                        <input type="text" class="form-control" id="idUsuario" placeholder="Usuario">
                    </div>
                    <div class="form-floating">
                        <label for="clave">Contraseña:</label>
                        <input type="password" class="form-control" id="clave" placeholder="Contraseña">
                    </div>


                    <button class="mt-4 w-100 btn btn-lg btn-primary" data-bs-dismiss="modal" type="submit">Iniciar
                        sesión</button>
                </form>

            </div>
        </div>
    </div>
</div>

<!--  Ventana Modal para el error -->
<div class="modal fade" id="loginErrorModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
    aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">No se pudo iniciar sesión</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                Credenciales inválidas
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
            </div>
        </div>
    </div>
</div>

    <!-- Importar JS de bootstrap-->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.1/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-u1OknCvxWvY5kfmNBILK2hRnQC3Pr17a+RTT6rIHI7NnikvbZlHgTPOOmMi466C8" crossorigin="anonymous">
    </script>

</body>

</html>